<html lang="en"><head><title>Metrics report for lib\env_config.dart</title><meta charset="utf-8"><link rel="stylesheet" href="..\variables.css"><link rel="stylesheet" href="..\normalize.css"><link rel="stylesheet" href="..\base.css"><link rel="stylesheet" href="..\main.css"></head><body><h1 class="metric-header"><a href="..\index.html">All files</a><span> : </span><a href="index.html">lib</a><span>/env_config.dart</span></h1><div class="metric-sub-header"><div class="metrics-total"><span class="metrics-total__label">Cyclomatic complexity : </span><span class="metrics-total__count">0</span></div><div class="metrics-total"><span class="metrics-total__label">Lines of executable code : </span><span class="metrics-total__count">0</span></div><div class="metrics-total"><span class="metrics-total__label">Maintainability index : </span><span class="metrics-total__count">0</span></div><div class="metrics-total"><span class="metrics-total__label">Number of Arguments : </span><span class="metrics-total__count">0</span></div><div class="metrics-total"><span class="metrics-total__label">Maximum Nesting : </span><span class="metrics-total__count">0</span></div><div class="metrics-total metrics-total--violations"><span class="metrics-total__label">Issues : </span><span class="metrics-total__count">1</span></div></div><pre><table class="metrics-source-code"><thead class="metrics-source-code__header"><tr><td class="metrics-source-code__number-lines"></td><td class="metrics-source-code__complexity">Complexity</td><td class="metrics-source-code__code">Source code</td></tr></thead><tbody class="metrics-source-code__body"><tr><td class="metrics-source-code__number-lines"><a name="L1"></a><a class="metrics-source-code__number" href="#L1">1</a><br><a name="L2"></a><a class="metrics-source-code__number" href="#L2">2</a><br><a name="L3"></a><a class="metrics-source-code__number" href="#L3">3</a><br><a name="L4"></a><a class="metrics-source-code__number" href="#L4">4</a><br><a name="L5"></a><a class="metrics-source-code__number" href="#L5">5</a><br><a name="L6"></a><a class="metrics-source-code__number" href="#L6">6</a><br><a name="L7"></a><a class="metrics-source-code__number" href="#L7">7</a><br><a name="L8"></a><a class="metrics-source-code__number" href="#L8">8</a><br><a name="L9"></a><a class="metrics-source-code__number" href="#L9">9</a><br><a name="L10"></a><a class="metrics-source-code__number" href="#L10">10</a><br><a name="L11"></a><a class="metrics-source-code__number" href="#L11">11</a><br><a name="L12"></a><a class="metrics-source-code__number" href="#L12">12</a><br><a name="L13"></a><a class="metrics-source-code__number" href="#L13">13</a><br><a name="L14"></a><a class="metrics-source-code__number" href="#L14">14</a><br><a name="L15"></a><a class="metrics-source-code__number" href="#L15">15</a><br><a name="L16"></a><a class="metrics-source-code__number" href="#L16">16</a><br><a name="L17"></a><a class="metrics-source-code__number" href="#L17">17</a><br><a name="L18"></a><a class="metrics-source-code__number" href="#L18">18</a><br></td><td class="metrics-source-code__complexity"><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div><div class="metrics-source-code__text"></div></td><td class="metrics-source-code__code"><pre class="prettyprint lang-dart">// Copyright(c) 2021 Fredrick Allan Grott. All rights reserved.
// Use of this source code is governed by a BSD-style license

// class EnvironmentConfig {
//   static const APP_NAME = String.fromEnvironment(
//     'DEFINEEXAMPLE_APP_NAME',
//     defaultValue: 'awesomeApp'
//   );
//   static const APP_SUFFIX = String.fromEnvironment(
//       'DEFINEEXAMPLE_APP_SUFFIX'
//   );
// }

class EnvironmentConfig {
  static const String AppName = String.fromEnvironment(
      'APP_NAME', defaultValue: 'code complexity');
// add other compile vars to impl here
}</pre></td></tr></tbody></table></pre><script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.min.js"></script><script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/lang-dart.min.js"></script></body></html>